namespace NBF
{
    public class AwardData
    {
        public int Id;
        public int Amount;

        public AwardData(string str)
        {
            string[] parts = str.Split('|');
            Id = int.Parse(parts[0]);
            if (parts.Length > 1)
            {
                Amount = int.Parse(parts[1]);
            }
            else
            {
                Amount = 1;
            }
        }
    }
}